#!/bin/bash

export PATH="$PATH:/usr/hitech/picc/9.82/bin:/usr/share/pk2/:$HOME/installers/pk2cmdv1-20Linux2-6"

VER="v2.22"
BASE="tap_tempo_metronome_firmware_$VER"

set -o verbose # echo on

picc --chip=16F685 $BASE.c

pk2cmd -PPIC16F685 -J -F $BASE.hex -M -T -R -Y
set +o verbose # echo off
# -P for which part
# -J Show progress percent complete
# -F is hex file
# -M program all memories
# -T keep power on after program
# -R turn the pic on after program
# -Y verify

echo "cleaning up"
rm -f $BASE.{obj,map,rlf,hxl,lst,cof,sdb,sym,p1,pre}
rm -f $BASE.as # can be interesting to look at
rm -f funclist
rm -f startup*

